Subject: bug#9867: 24.0.90; quit-window should provide quit-window-hook

From: martin rudalics <[email-masked]>
Date: Fri, 23 Aug 2019 09:46:48 +0200

>> But it's still misconfigured when WINDOW is not the selected window:
 >> The function run by the hook would not know which window is quit and
 >> which is its buffer.
 >
 > Yup; should be fixed now.

The function on the hook still wouldn't reliably know which window was
quit, for example, when its buffer is displayed in two windows at the
same time.  Consider:

(let ((window (split-window)))
   (quit-window nil window))

martin